Get pull event metrics
GET /v1/pull-metrics
Retrieve aggregated metrics for pull events including counts of stored and delivered events.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Time window for aggregation
Filter metrics by specific pull endpoint
Responses
Section titled “ Responses ”Pull metrics retrieved successfully
object
object
Time window for these metrics
Example
24hTotal number of messages in the window
Example
10000Number of successfully delivered messages
Example
9950Number of permanently failed messages
Example
50Total number of retry attempts
Example
150Ratio of succeeded messages to total messages
Example
0.995Average delivery latency in milliseconds
Example
185Average total delivery time (created_at to delivered_at) for succeeded messages
Average queue wait time (created_at to first_attempt_at) for attempted messages
object
Unique identifier for this request (useful for support)
Example
req_xyz123Invalid request
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Examples
Endpoint not found
{ "error": { "code": "ENDPOINT_NOT_FOUND", "message": "endpoint not found" }, "meta": { "request_id": "req_xyz123" }}Invalid endpoint ID format
{ "error": { "code": "INVALID_REQUEST", "message": "endpoint_id must be in format ep_xxx" }, "meta": { "request_id": "req_xyz123" }}Invalid payload
{ "error": { "code": "INVALID_REQUEST", "message": "payload must be valid JSON" }, "meta": { "request_id": "req_xyz123" }}Invalid headers
{ "error": { "code": "INVALID_HEADERS", "message": "header 'Host' is forbidden and cannot be overridden" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Enter your credentials to populate code examples throughout the docs.